org.eclipse.jetty.client.security

## Class HashRealmResolver

- java.lang.Object
- - org.eclipse.jetty.client.security.HashRealmResolver

- All Implemented Interfaces:
    RealmResolver

      public class HashRealmResolver
      extends Object
      implements RealmResolver

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HashRealmResolver()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addSecurityRealm(Realm realm)`
    `Realm` | `getRealm(String realmName, HttpDestination destination, String path)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HashRealmResolver

          public HashRealmResolver()

  - ### Method Detail

    - #### addSecurityRealm

          public void addSecurityRealm(Realm realm)

    - #### getRealm

          public Realm getRealm(String realmName,
                       HttpDestination destination,
                       String path)
                         throws IOException

      Specified by:
        `getRealm` in interface `RealmResolver`
      Throws:
        `IOException`

Copyright © 1995-2013 Mort Bay Consulting. All Rights Reserved.